> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get monitored computer by ID

> Returns a monitored computer by ID.



## OpenAPI

````yaml /reference/manage-vanta.json get /monitored-computers/{computerId}
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /monitored-computers/{computerId}:
    get:
      tags:
        - Monitored Computers
      summary: Get monitored computer by ID
      description: Returns a monitored computer by ID.
      operationId: GetMonitoredComputer
      parameters:
        - in: path
          name: computerId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MonitoredComputer'
              examples:
                Example 1:
                  value:
                    id: 5f2c939a52855e725c8d5823
                    integrationId: vantaAgent
                    serialNumber: FVFGPGV2Q6L5
                    udid: 280FF071-1D7A-5752-BD3A-1A68937CD187
                    lastCheckDate: '2024-03-07T18:46:05.944Z'
                    screenlock:
                      outcome: FAIL
                    diskEncryption:
                      outcome: FAIL
                    passwordManager:
                      outcome: FAIL
                    antivirusInstallation:
                      outcome: FAIL
                    operatingSystem:
                      type: macOS
                      version: 13.2.1
                    owner:
                      id: 65e1efde08e8478f143a8ff9
                      emailAddress: example-person@email.com
                      displayName: Example Owner
      security:
        - bearerAuth: []
components:
  schemas:
    MonitoredComputer:
      properties:
        id:
          type: string
          description: Unique identifier for the monitored computer.
        integrationId:
          type: string
          description: >-
            Hard-coded enums for Vanta-built integrations or application IDs for
            3rd-party-built integrations.
        lastCheckDate:
          type: string
          format: date-time
          nullable: true
          description: Date of the computer's most recent report.
        screenlock:
          $ref: '#/components/schemas/ComputerStatus'
          description: Whether or not the computer has screenlock enabled.
        diskEncryption:
          $ref: '#/components/schemas/ComputerStatus'
          description: Whether or not the computer's hard drive is encrypted.
        passwordManager:
          $ref: '#/components/schemas/ComputerStatus'
          description: Whether or not the computer has a password manager installed.
        antivirusInstallation:
          $ref: '#/components/schemas/ComputerStatus'
          description: Whether or not the computer has antivirus software installed.
        operatingSystem:
          allOf:
            - $ref: '#/components/schemas/OperatingSystem'
          nullable: true
          description: The computer's operating system name and version.
        owner:
          allOf:
            - $ref: '#/components/schemas/Owner'
          nullable: true
          description: >-
            The name, unique identifier, and email address of the computer's
            owner.
        serialNumber:
          type: string
          nullable: true
          description: >-
            The serial number of the computer. This value may be null if it is
            not reported by the device.
        udid:
          type: string
          nullable: true
          description: The universal device id of the computer.
      required:
        - id
        - integrationId
        - lastCheckDate
        - screenlock
        - diskEncryption
        - passwordManager
        - antivirusInstallation
        - operatingSystem
        - owner
        - serialNumber
        - udid
      type: object
      additionalProperties: false
    ComputerStatus:
      description: >-
        The a status check for a computer. Representation for screenlock,
        diskEncryption, passwordManager, and antivirusInstallation.
      properties:
        outcome:
          $ref: '#/components/schemas/ComputerStatusOutcome'
          description: The outcome of the status check.
      required:
        - outcome
      type: object
      additionalProperties: false
    OperatingSystem:
      description: The computer's operating system type and version.
      properties:
        type:
          $ref: '#/components/schemas/OperatingSystemType'
          description: The type of the operating system.
        version:
          type: string
          nullable: true
          description: The version of the operating system.
      required:
        - type
        - version
      type: object
      additionalProperties: false
    Owner:
      properties:
        id:
          type: string
          description: Unique identifier for the person.
        displayName:
          type: string
          description: Name of the person that is shown in product.
        emailAddress:
          type: string
          description: Email address of the person.
      required:
        - id
        - displayName
        - emailAddress
      type: object
      additionalProperties: false
    ComputerStatusOutcome:
      description: >-
        The possible outcomes of a status check. The outcome can be one of the
        following:

        FAIL:  The check is failing.

        IN_PROGRESS: The check needs further data from the given computer in
        order to evaluate. The field(s) needed from a computer to calculate the
        ComputerStatusOutcome were null.

        NA: The check is not applicable for the given computer.

        PASS: The check is passing.
      enum:
        - FAIL
        - IN_PROGRESS
        - NA
        - PASS
      type: string
    OperatingSystemType:
      description: >-
        The possible types of the operating system. One of `mac_OS`, `linux`, or
        `windows`.
      enum:
        - macOS
        - linux
        - windows
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````